import { CreateTransactionDto, DeleteTransactionDto, UpdateTransactionDto } from './transaction.dtos';
import { TransactionService } from './transaction.service';
export declare class TransactionController {
    private readonly transactionService;
    constructor(transactionService: TransactionService);
    create(transaction: CreateTransactionDto): Promise<import("./transaction.entity").Transaction>;
    update(transaction: UpdateTransactionDto): Promise<import("./transaction.entity").Transaction>;
    delete(params: DeleteTransactionDto): Promise<void>;
}
